<?php
/**
 * @package   Gridbox
 * @author    Balbooa https://www.balbooa.com/
 * @copyright Copyright © Balbooa
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace Balbooa\Component\Forms\Site\Helper\Uploads\Contracts;

defined('_JEXEC') or die;

interface UploadsInterface
{
    public function generateFilename(int $formId, string $ext): ?string;
    public function getFilePath(int $formId, string $filename): string;
    public function getStorageFilePath(int $formId, string $filename): string;
    public function getFileLink(int $formId, string $filename): string;
    public function getStoragePath(): string;
}